io.vertx.ext.auth.webauthn

## Class WebAuthnOptions

- java.lang.Object
- - io.vertx.ext.auth.webauthn.WebAuthnOptions

-     public class WebAuthnOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnOptions()`
    `WebAuthnOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebAuthnOptions` | `addPubKeyCredParam(String pubKeyCredParam)`
    `WebAuthnOptions` | `addTransport(String transport)`
    `Attestation` | `getAttestation()`
    `AuthenticatorAttachment` | `getAuthenticatorAttachment()`
    `JsonObject` | `getAuthenticatorSelection()`
    `int` | `getChallengeLength()`
    `String` | `getOrigin()`
    `Set<String>` | `getPubKeyCredParams()`
    `RelayParty` | `getRelayParty()`
    `Boolean` | `getRequireResidentKey()`
    `int` | `getTimeout()`
    `Set<String>` | `getTransports()`
    `UserVerification` | `getUserVerification()`
    `WebAuthnOptions` | `setAttestation(Attestation attestation)`
    `WebAuthnOptions` | `setAuthenticatorAttachment(AuthenticatorAttachment authenticatorAttachment)`
    `void` | `setChallengeLength(int challengeLength)`
    `WebAuthnOptions` | `setOrigin(String origin)`
    `WebAuthnOptions` | `setPubKeyCredParams(Set<String> pubKeyCredParams)`
    `WebAuthnOptions` | `setRelayParty(RelayParty relayParty)`
    `WebAuthnOptions` | `setRequireResidentKey(Boolean requireResidentKey)`
    `WebAuthnOptions` | `setTimeout(int timeout)`
    `WebAuthnOptions` | `setTransports(Set<String> transports)`
    `WebAuthnOptions` | `setUserVerification(UserVerification userVerification)`
    `JsonObject` | `toJson()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebAuthnOptions

          public WebAuthnOptions()

    - #### WebAuthnOptions

          public WebAuthnOptions(JsonObject json)

  - ### Method Detail

    - #### getChallengeLength

          public int getChallengeLength()

    - #### setChallengeLength

          public void setChallengeLength(int challengeLength)

    - #### getRelayParty

          public RelayParty getRelayParty()

    - #### setRelayParty

          public WebAuthnOptions setRelayParty(RelayParty relayParty)

    - #### getOrigin

          public String getOrigin()

    - #### setOrigin

          public WebAuthnOptions setOrigin(String origin)

    - #### getTransports

          public Set<String> getTransports()

    - #### setTransports

          public WebAuthnOptions setTransports(Set<String> transports)

    - #### addTransport

          public WebAuthnOptions addTransport(String transport)

    - #### getAttestation

          public Attestation getAttestation()

    - #### setAttestation

          public WebAuthnOptions setAttestation(Attestation attestation)

    - #### getPubKeyCredParams

          public Set<String> getPubKeyCredParams()

    - #### addPubKeyCredParam

          public WebAuthnOptions addPubKeyCredParam(String pubKeyCredParam)

    - #### setPubKeyCredParams

          public WebAuthnOptions setPubKeyCredParams(Set<String> pubKeyCredParams)

    - #### getAuthenticatorAttachment

          public AuthenticatorAttachment getAuthenticatorAttachment()

    - #### setAuthenticatorAttachment

          public WebAuthnOptions setAuthenticatorAttachment(AuthenticatorAttachment authenticatorAttachment)

    - #### getRequireResidentKey

          public Boolean getRequireResidentKey()

    - #### setRequireResidentKey

          public WebAuthnOptions setRequireResidentKey(Boolean requireResidentKey)

    - #### getUserVerification

          public UserVerification getUserVerification()

    - #### setUserVerification

          public WebAuthnOptions setUserVerification(UserVerification userVerification)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public WebAuthnOptions setTimeout(int timeout)

    - #### getAuthenticatorSelection

          public JsonObject getAuthenticatorSelection()

    - #### toJson

          public JsonObject toJson()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 Eclipse. All rights reserved.